MINTPY-DIFF(1)

NAME
mintpy-tropo_gacos - Generates the difference of two input files.

DESCRIPTION
usage: diff.py [-h] [-o OUTFILE] [--force] file1 file2 [file2 ...]

Generates the difference of two input files.

  positional arguments:

file1
    file to be subtracted

file2
    file used to subtract

  options:

-h, --help
    show this help message and exit

-o OUTFILE, --output OUTFILE
    output file name, default is file1_diff_file2.h5

--force
    Enforce the differencing for the shared dates only for time-series files

  example:

diff.py
    velocity.h5 velocity_demErr.h5

diff.py
    timeseries.h5 inputs/ERA5.h5 -o timeseries_ERA5.h5

diff.py
    timeseries.h5 inputs/ERA5.h5 -o timeseries_ERA5.h5 --force

diff.py
    timeseries_ERA5_ramp_demErr.h5 ../GIANT/Stack/LS-PARAMS.h5 -o mintpy_giant.h5

diff.py
    reconUnwrapIfgram.h5 ./inputs/ifgramStack.h5 -o diffUnwrapIfgram.h5

    # multiple files diff.py waterMask.h5 maskSantiago.h5 maskFernandina.h5 -o maskIsabela.h5